IEEE80211_ITERATE_AC(9)

NAME
ieee80211_iterate_active_interfaces - iterate active interfaces

SYNOPSIS

void ieee80211_iterate_active_interfaces(struct ieee80211_hw * hw, u32 iter_flags, void (*iterator) (void *data, u8 *mac, struct ieee80211_vif *vif), void * data);

ARGUMENTS

hw
    the hardware struct of which the interfaces should be iterated over

iter_flags
    iteration flags, see enum ieee80211_interface_iteration_flags

iterator
    the iterator function to call

data
    first argument of the iterator function

DESCRIPTION

This function iterates over the interfaces associated with a given hardware that are currently active and calls the callback for them. This function allows the iterator function to sleep, when the iterator function is atomic ieee80211_iterate_active_interfaces_atomic can be used. Does not iterate over a new interface during add_interface.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT